Kerbal Space Program - Bug #26928

EVA Construction Move Gizmo is anchored to the Kerbal when it should be anchored to the craft.
12/26/2020 12:03 AM - Anth12

Status: Resolved Start date: 12/26/2020
Severity: Low % Done: 100%
Assignee: just_jim

Category: Parts

Target version: 1.12.0

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

GOG KSP 1.11.0 (no mods, no DLCs)

Move Gizmo is at the beginning of the video showing the issue.
Rotate Gizmo is demonstrated afterwards as it should work.

https://youtu.be/8VjsZT_YZ18

History

#1 - 12/27/2020 10:30 AM - Anth12

- Subject changed from Move Gizmo is anchored to the Kerbal when it should be anchored to the craft. to EVA Construction Move Gizmo is anchored
to the Kerbal when it should be anchored to the craft.

#2 - 01/07/2021 09:49 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just jim

- % Done changed from 0 to 10

#4 - 06/24/2021 10:36 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#5 - 06/25/2021 02:28 AM - Anth12
Sorry. Not fixed

#6 - 08/11/2021 02:49 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Move gizmo is following the mouse as intended. It's not really a bug, just a quirk of design. Please don't let this discourage you from filing further
reports though.

#7 - 08/12/2021 01:35 AM - Anth12
In my opinion the gizmo should only move if | pull on it.
The Kerbal moving and therefore the gizmo being counted moving isn't how | see that it should work.

Its worse when using a craft with wheels. if the suspension is moving around in anyway, the part will stay still as the craft's suspension shakes around
not allowing for exact positioning
